*{background:none;border:none;border-collapse:inherit;bottom:auto;
caption-side:inherit;clear:none;clip:auto;color:inherit;
empty-cells:inherit;left:auto;letter-spacing:inherit;
line-height:inherit;list-style:inherit;margin:0;
max-height:none;max-width:none;min-height:0;overflow:visible;
padding:0;position:static;right:auto;table-layout:auto;
text-decoration:none;text-indent:0;text-transform:inherit;
top:auto;vertical-align:baseline;visibility:inherit;white-space:inherit;word-spacing:inherit;
z-index:auto;font:inherit;}

:root {
    background:url("obrázky/rles.jpg") fixed;
    font:62.5%/1.2 "Nimbus Roman", "DejaVu Serif", Tahoma, serif;
    position:relative;
}

body {
    display:flex; flex-flow: column nowrap;
    font-size:150%;
    margin:0 auto;
    padding:3rem 4rem 8rem;
    max-width:120rem;
    min-width:70rem;
}

#nahore {position:absolute;top:0;left:0;}
header {
    display:flex; flex-flow:row nowrap;
    order:10;
    color:rgba(255,255,102,0.8);
}
header>.banner {
    flex:0 0 auto;
    font-size:125%;
    font-weight:bold;
    letter-spacing:0.1em;
    padding-right:5rem;
}
header .banner a {
    border:0.1rem solid;
}
header .banner img {
    width:2em;height:2em;
    margin:0 0.5em 0 -0.5em;
    border-radius:50%;
    vertical-align:middle;
}
header>nav {
    flex:1 1 auto;
    display:flex;
    flex-flow:row wrap;
    justify-content:flex-end;
}
header a {
    display:flex;
    flex-flow:column nowrap;
    align-self:flex-start;
    justify-content:center;
    white-space:nowrap;
    text-decoration:none;
    background:rgba(7,89,81,0.75);
    padding:0.25em 1em;
    border-radius:1em;
    font-variant:small-caps;
    margin:0 0.5rem 0.5rem;
    text-align:center;
}
header a span {
    position:relative;
}
header a:hover, header a:focus {
    color:rgba(255,255,102,1);
}

footer {
    background:rgba(7,89,81,0.75);
    color:rgba(255,255,102,0.8);
    margin:0;
    border:0.1rem solid;
    border-radius:1em;
    padding:1em;
    font-size:85%;
}

footer a:link, footer a:visited {
    text-decoration:underline;
}

footer a:hover, footer a:focus {
    color:rgba(255,255,102,1);
}

main {
    background:rgb(204,204,204);
    border-radius:4em;
    order:20;
    margin:2rem 0;
    padding:3em 2em 5em;
    position:relative;
    font-family:"Noto Sans", "Verdana",sans-serif;
}
article {
    /*max-width:80em;*/
    min-height:60rem;
}
footer {
    order:30;
}

h1 {
    font-size:200%;
    font-style:italic;
    margin:0 0 2rem;
}

h1 img {
    border-radius:25%;
    width:auto; height:2em;
    vertical-align:middle;
    margin:0 0.5em 0 0;
    opacity:0.6;
}

h2 {
    font-size:120%;
    letter-spacing:0.2rem;
    text-transform:uppercase;
    margin:1em 0 0.5em;
    border-bottom:0.1rem solid rgba(0,0,0,0.25);
}

p {
    margin:1em auto 1em;
    max-width:50em;
    padding:0 1em;
    font-family:"Liberation Serif", "Times New Roman", serif;
    font-size:110%;
    text-align:justify;
}

pre {
    white-space:pre;
    font-family:monospace;
}

ol, p, table, ul {line-height:1.5}
ol, ul {margin-left:1.5em;}
/*Styly odkazů*/
article a:link, article a:visited {
    background-color:transparent;
    background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAACXBIWXMAAC4jAAAuIwF4pT92AAAADUlEQVQI12OYkON7BgAE7wIWP1ipuQAAAABJRU5ErkJggg==");
    background-position:bottom;
    background-size:0.2rem 0.2rem;
    background-repeat:repeat-x;

    margin-top:-0.1em;
    border:thin solid transparent;
    border-radius:0.5em;
    padding-top:0.1em;
    transition:all 0.5s ease 0s;
}
article a:hover, article a:focus {
    box-shadow:0 0 2em 0.5em rgb(240,240,0);
    background-color:rgb(255,255,255);
}

article a:link.nasoubor, articla a:visited.nasoubor {
    background-image:none;
    border:none;
    box-shadow:none;
}

/*Styly tabulek*/
table {
    border-collapse:collapse;
    table-layout:fixed;
}

/*Galerie*/
.galerie {
    display:flex; flex-flow:row wrap;
    background:#aaaaaa;
    border-radius:1em;
    padding-bottom:2rem;
}
.galerie figure {
    display:flex; flex-flow:column nowrap;
    flex:0 1 20rem;
    padding:0.5rem;
}
.galerie figure>a {
    display:flex;flex-flow:row nowrap;
    flex:0 0 20rem;
    justify-content:center;
    width:20rem;
    height:20rem;
    background:none;
}
.galerie figure>a img {
    width:auto; height:auto; max-width:20rem;max-height:20rem;
    align-self:center;
    opacity:0.75;
}
.galerie figure figcaption {
    order:1;
    padding:0.25em;
    font-size:90%;
    text-align:center;
}

/* Uspořádání stránky */
.datumclanku, .stitky {
    margin:0 0 0 8.4rem;
}
.datumclanku {
    font-style:italic;
    text-align:right;
    margin-top:-2em;
}
.datumclanku span::before {
    content:"⌨";
    margin:0 0.25em;
}
.stitky>span {
    background-color:rgba(255,255,255,0.5);
    border:thin solid rgba(0,0,0,0.5);
    border-radius:1em;
    display:inline-block;
    margin:0 0.5em;
    min-width:4em;
    padding:0.25em 1em 0;
    text-align:center;
    white-space:nowrap;
}
.stitky>span:first-child {
    margin-left:0;
}

/* Licenční informace k obrázkům */
.obrlicinfo {
    table-layout:fixed;
    margin:2em auto;
    width:100%;
}
.obrlicinfo td {
    vertical-align:top;
    padding:2rem 0 2rem 2rem;
}
.obrlicinfo td:first-child {
    width:25.6rem;
    padding:0 0 2em;
}
.obrlicinfo td:first-child div {
    display:flex;
    flex-flow:column nowrap;
    align-content:center;
    justify-content:center;
    width:25.6rem;
    height:25.6rem;
    border-width:0.5rem;
    border-style:ridge;
    border-color:#b39b24 #99501f #99501f #b39b24;
    background:#cccccc;
}
.obrlicinfo td:first-child {
    content: "abc";
}
.obrlicinfo td:first-child img {
    align-self:center;
    width:auto;height:auto;
    max-width:25.6rem;max-height:25.6rem;
}
.obrlicinfo td:nth-child(2) pre {
    overflow-x:scroll;
    padding:1em 0;
}
.obrlicinfo a.nasoubor {
    font-size:150%;
    margin-right:1em;
}

/* Tabulka událostí v projektech */
.udalosti {
    table-layout:fixed;
    width:100%;
}
.udalosti td {
    padding:0.1em 0.25em;
}
.udalosti .datum {
    text-align:right;
    width:10em;
}
.udalosti .projekt {
    font-weight:bold;
    width:15em;
}
/*.udalosti .text {
    font-style:italic;
}*/
.udalosti tr.predelmesice td:first-child {
    border-bottom:thin dotted rgba(0,0,0,0.5);
}
.udalosti tr.predelmesice+tr td {
    padding-top:0.25em;
}
.udalosti tr.predelroku td {
    padding-bottom:1em;
}
.udalosti tr.predelroku+tr td {
    padding-top:1em;
}

/* Přehled projektů (index) */
.prehledprojektu {
    margin:0 auto;
    table-layout:auto;
    width:80%;
}
.prehledprojektu td {
    vertical-align:middle;
}
.prehledprojektu td.ikona {
    width:6.4rem;
    padding:0 0 0 2rem;
}
.prehledprojektu td.ikona a {
    background:none;
}
.prehledprojektu td:nth-child(2) {
    padding:0 0.5em;
}
.prehledprojektu a {
    font-weight:bold;
}
.prehledprojektu img {
    width:100%;
    height:auto;
    border-radius:1em;
}
.prehledprojektu th {
    padding:3em 0 1em;
    text-align:left;
}
.prehledprojektu th strong {
    text-decoration:underline;
    text-transform:uppercase;
}
